Subject: Re: [PATCH 1/2] perf: compare diff algorithms

From: Jakub Narebski <[email-masked]>
Date: Tue, 06 Mar 2012 13:41:30 -0800 (PST)

Junio C Hamano <[email-masked]> writes:
> Thomas Rast <[email-masked]> writes:
>> Junio C Hamano <[email-masked]> writes:
>>
>>>
>>> I am getting this (probably unrelated to this patch), by the way:
>>>
>>> $ make perf
>>> make -C t/perf/ all
>>> make[1]: Entering directory `/srv/project/git/git.git/t/perf'
>>> rm -rf test-results
>>> ./run
>>> ...
>>> perf 4 - grep --cached, expensive regex: 1 2 3 ok
>>> # passed all 4 test(s)
>>> 1..4
>>> Can't locate Git.pm in @INC (@INC contains: /etc/perl ...) at ./aggregate.perl line 5.
>>> BEGIN failed--compilation aborted at ./aggregate.perl line 5.
>>
>> It would seem that you are not installing Git.pm as part of your normal
>> installation?
> 
> I actually am installing it in a quite vanilla way.
> 
> I think our installation procedure places Git.pm in git specific
> perl library path where a simple invocation of "perl" that is
> git-unaware will not look into, and we make sure that our scripts
> still find the matching version of Git.pm by having "use lib" at the
> beginning that points at the right directory.
> 
> But of course, this from a command line would not work:
> 
> 	$ perl -MGit
> 
> I do not expect it to, and for the ease of testing new versions, I
> prefer it not to work.
> 
> In any case, you should be able to do anything under t/ _before_
> installing, so relying on having Git.pm in normal @INC is a double
> no-no.

Thomas, take a look at how it is solved in 't/t9700/test.pl', used by
't/t9700-perl-git.sh':

  use lib (split(/:/, $ENV{GITPERLLIB}));

-- 
Jakub Narebski